
#include "delay.h"

/*********************************************************************
* Function:  void  DelayMs(WORD time)
*
* PreCondition: none
*
* Input: time - delay in ms
*
* Output: none
*
* Side Effects: none
*
* Overview: delays execution on time specified in ms
*
********************************************************************/
#define DELAY_1MS 32000/9

void  Delayms(int time)
{
unsigned short delay;
	while(time--)
		for(delay=0; delay<DELAY_1MS; delay++);	
}

#define DELAY_10US 320/9
void Delay10us (int time)
{
unsigned short delay;

	while(time--)
		for(delay=0; delay<DELAY_10US; delay++);	
}

